libmicrohttpd (0.9.57-1) unstable; urgency=medium

  * New upstream version 0.9.57.
  * Add a new symbol to debian/libmicrohttpd12.symbols.
  * Use https instead of ftp in debian/watch.
  * Standards-version: 4.1.2.

 -- Bertrand Marc <bmarc@debian.org>  Sat, 02 Dec 2017 18:14:58 +0100

libmicrohttpd (0.9.55-1) unstable; urgency=medium

  * Add Evgeny Grin's key to debian/upstream/signing-key.asc.
  * New upstream version 0.9.55 (Closes: #844146).
  * Add 2 new symbols to libmicrohttpd12.symbols.
  * debian/copyright:
    + Use the https form of the copyright-format URL in debian/copyright.
    + Add my @debian.org address.
    + Add the new maintainer.
    + Update the years.
  * debian/control: update standards version to 4.0.0.

 -- Bertrand Marc <bmarc@debian.org>  Tue, 27 Jun 2017 18:37:43 +0200

libmicrohttpd (0.9.51-1) unstable; urgency=medium

  * New upstream version 0.9.51.
  * Enable all hardening flags as MHD handles untrusted data.
  * Disable tests on hppa and hurd-i386 as they fail on these.

 -- Bertrand Marc <bmarc@debian.org>  Thu, 01 Sep 2016 10:53:10 +0200

libmicrohttpd (0.9.50-3) unstable; urgency=medium

  * Remove build-dependency on socat on hurd-i386 as it is not available and
    only used to enable tests at build time (Closes: #833028).
  * Use my @debian.org address for the maintainer field.

 -- Bertrand Marc <bmarc@debian.org>  Thu, 11 Aug 2016 22:55:29 +0200

libmicrohttpd (0.9.50-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 23 Jul 2016 15:28:52 +0200

libmicrohttpd (0.9.50-1) experimental; urgency=medium

  * Imported Upstream version 0.9.50 (Closes: #813636).
  * Stop building libmicrospdy, since upstream removed it:
    + debian/control: remove libmicrospdy binary packages and remove
      build-dependency on libssl-dev and zlib1g-dev.
    + debian/copyright: remove src/microspdy/* files, the GPL3+ paragraph,
      and the Files-excluded field.
    + remove debian/libmicrospdy-dev.install, debian/libmicrospdy0.install and
      debian/libmicrospdy0.symbols.
    + debian/rules: remove libmicrospdy-dbg from dh_strip.
  * Change soname version to libmicrohttpd12:
    + debian/control: update the binary package name.
    + rename debian/libmicrohttpd10.install.
    + rename and update debian/libmicrohttpd10.symbols.
    + debian/rules: strip libmicrohttpd12.
  * Migrate from a manual "-dbg" package to an automatic generated debug symbol
    package:
    + debian/control: remove libmicrohttpd-dbg.
    + debian/rules: use --dbgsym-migration in override_dh_strip.
  * Standards version 3.9.8: no changes needed.
  * debian/control: use secure URIs in vcs-fields.
  * Build-depend on libcurl4-gnutls-dev, socat and zzuf to enable more tests.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 19 Jun 2016 16:27:47 +0200

libmicrohttpd (0.9.44+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.44+dfsg
  * debian/copyright:
    + update years and add the microspdy directory.
    + add a license paragraph for GPL-3 and remove a useless sentence in the
      LGPL paragraph.
  * make libmicrospdy-dev break and replace libmicrohttpd-dev, as the latter
    used to ship libmicrospdy.pc (Closes: #800922).
  * Add missing dependencies for libmicrohttpd-dev and libmicrospdy-dev.
  * Add 2 new symbols to libmicrohttpd10.symbols.

 -- Bertrand Marc <beberking@gmail.com>  Mon, 05 Oct 2015 22:24:46 +0200

libmicrohttpd (0.9.42+dfsg-2) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/rules: Run the test suite and make it fatal on non-kfreebsd, where
    it's known to fail (Closes: #797154).
  * Add compile/link/run autopkgtest for libmicrohttpd-dev (Closes: #797157).

  [ Bertrand Marc ]
  * Build-depend on libssl-dev and zlib-dev to enable libmicrospdy.
  * Put libmicrospdy into separate packages (libmicrosdpy0, -dbg and -dev) and
    create libmicrospdy0.symbols.
  * Upload to unstable.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 06 Sep 2015 17:40:18 +0200

libmicrohttpd (0.9.42+dfsg-1) experimental; urgency=medium

  * Update upstream signing key. Remove debian/source/include-binaries as
    the upstream signing key is now ascii armored.
  * Imported Upstream version 0.9.42+dfsg.
  * Add two new symbols from 0.9.38 and 0.9.39 in libmicrohttpd10.symbols.
  * Add a build-dependency on pkg-config to avoid an error with autoreconf.
  * Standards version 3.9.6: no changes needed.
  * Add debian/libmicrohttpd-dev.examples to install upstream examples
    (Closes: #793743).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 05 Aug 2015 11:57:55 +0200

libmicrohttpd (0.9.37+dfsg-1) unstable; urgency=medium

  * Exclude non-free src/datadir/spdy-draft.txt (Closes: #745404) from
    debian/copyright and update debian/watch to mangle the debian version.
  * Imported Upstream version 0.9.37+dfsg.
  * Remove 02-hiding_symbols.patch: manual hiding of symbols is not necessary
    anymore as visibility is set when needed.
  * Add two new symbols from 0.9.35 in libmicrohttpd10.symbols.
  * Build depend on libgnutls28-dev instead of libgnutls-dev (Closes: #753115).
  * debian/control: make libmicrohttpd10 pre-depend on ${misc:Pre-Depends}
    instead of multi-arch.

 -- Bertrand Marc <beberking@gmail.com>  Thu, 10 Jul 2014 11:30:01 +0200

libmicrohttpd (0.9.33-1) unstable; urgency=medium

  [ Bertrand Marc ]
  * Imported Upstream version 0.9.33
  * Make uscan check the archive signature:
    + add the upstream key to debian/upstream-signing-key.pgp.
    + add the binary key to debian/source/include-binaries.
    + add pgpsigurlmangle to debian/watch.
  * Hide uneeded exported symbols according to microhttpd.h and EXPORT.sym.
    This fixes building on kfreebsd (Closes: #733184).
    + cherry pick 02-hiding_symbols from upstream svn.
    + remove every unwanted symbols from libmicrohttpd10.symbols.
  * Standards version 3.9.5:
    + remove dependency on dpkg (>= 1.15.4) | install-info.

  [ Ivo De Decker ]
  * Add missing build-dep on texinfo.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Wed, 01 Jan 2014 16:58:30 +0100

libmicrohttpd (0.9.32-1) unstable; urgency=medium

  * Imported Upstream version 0.9.32
    + Fix CVE-2013-7038 and CVE-2013-7039 (Closes: #731933).
  * debian/libmicrohttpd10.symbols:
    + remove 2 unused symbols.
    + add a new one from 0.9.30.
    + add 2 new ones from 0.9.32.
  * Refresh the only patch.
  * debian/rules: remove an old cleaning rule after install.

 -- Bertrand Marc <beberking@gmail.com>  Wed, 11 Dec 2013 17:30:36 +0100

libmicrohttpd (0.9.27-2) unstable; urgency=low

  * Disable the test suite, as it fails on kfreebsd.
  * Remove useless debian/source/options.
  * debian/control: update Vcs-git and Vcs-browser to use anonscm.debian.org
    instead of git.debian.org.

 -- Bertrand Marc <beberking@gmail.com>  Wed, 17 Jul 2013 18:20:03 +0200

libmicrohttpd (0.9.27-1) unstable; urgency=low

  * Move the git repository to collab-maint.
  * Imported Upstream version 0.9.27
  * debian/rules: remove useless override_dh_builddeb.
  * Add a symbols file for libmicrohttpd.
  * Enable the test suite.
  * debian/control: extend long descriptions with key features.
  * Migrate debian/copyright to standard format 1.0.
  * Standards version 3.9.4.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 19 May 2013 20:23:09 +0200

libmicrohttpd (0.9.20-1) unstable; urgency=low

  * debian/control: add Vcs-Git and Vcs-browser fields.
  * Imported Upstream version 0.9.20.
  * debian/control: remove duplicate field "section".

 -- Bertrand Marc <beberking@gmail.com>  Sun, 24 Jun 2012 12:24:02 +0200

libmicrohttpd (0.9.19-3) unstable; urgency=low

  * New maintainer (Closes: #660445).
  * Upload to unstable.
  * Standards version 3.9.3.
  * Add a dependency on dpkg (>= 1.15.4) | install-info for extract,
    see Policy section 12.2.
  * Add debian/watch.
  * Move to autoreconf:
    + build-depends on autoconf, automake, dh-autoreconf.
    + debian/rules: use dh --with autoreconf.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 14 Apr 2012 18:25:48 +0200

libmicrohttpd (0.9.19-2) experimental; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Feb 2012 09:16:33 +0000

libmicrohttpd (0.9.19-1) experimental; urgency=low

  * Merging upstream version 0.9.19 (Closes: #660012).
  * Updating package to debhelper version 9.
  * Updating years in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 15 Feb 2012 22:19:26 +0100

libmicrohttpd (0.9.17-1) experimental; urgency=low

  * Merging upstream version 0.9.17.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Nov 2011 10:05:35 +0100

libmicrohttpd (0.9.15-1) experimental; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 0.9.15.
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 03 Nov 2011 11:12:17 +0100

libmicrohttpd (0.9.14-1) experimental; urgency=low

  * Merging upstream version 0.9.14.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 12 Sep 2011 11:22:21 +0200

libmicrohttpd (0.9.13-1) experimental; urgency=low

  * Merging upstream version 0.9.13.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Removing changelog entry for 0.9.1-1 which was a version not
    uploaded to the archive.
  * Updating to standards version 3.9.2.
  * Updating package long-descriptions.
  * Updating years in copyright file.
  * Making packaging distribution neutral.
  * Compacting copyright file.
  * Removing leading slash from debhelper install files.
  * Rediffing manpage.patch.
  * Adding libgcrypt to build-depends for https support.
  * Adding libgnutls to build-depends for ssl support.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 09 Sep 2011 16:05:44 +0200

libmicrohttpd (0.9.3-1) experimental; urgency=low

  * Merging upstream version 0.9.3.
  * Removing README.source.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 30 Nov 2010 22:00:20 +0100

libmicrohttpd (0.9.2-1) experimental; urgency=low

  * Merging upstream version 0.9.2.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).
  * Using newer autotools handing in rules.
  * Dropping old dpkg depends.
  * Rediffing manpage patch.
  * Updating packaging for soname major version 10.
  * Updating copyright file (Closes: #600864).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 21 Nov 2010 11:44:08 +0100

libmicrohttpd (0.9.0-1) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 0.9.0.
  * Updating packaging for soname bump.
  * Updating package to standards version 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 06 Aug 2010 16:46:45 +0200

libmicrohttpd (0.4.6-1) unstable; urgency=medium

  * Merging upstream version 0.4.6:
    - fixes ssl on big-endian.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 13 Mar 2010 10:43:45 +0100

libmicrohttpd (0.4.5-1) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 0.4.5.
  * Updating year in copyright file.
  * Changing dh call to more common scheme.
  * Simplyfing libmicrohttpd-dev debhelper install file.
  * Updating README.source.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 21 Feb 2010 15:43:32 +0100

libmicrohttpd (0.4.4-1) unstable; urgency=low

  * Merging upstream version 0.4.4.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 09 Nov 2009 21:19:57 +0100

libmicrohttpd (0.4.3-1) unstable; urgency=low

  * Simplifying autotools handling in rules.
  * Merging upstream version 0.4.3.
  * Making build-depends on quilt versioned.
  * Disabling test suite.
  * Adding depends to dpkg and install-info to libmicrohttpd-dev.
  * Dropping the .la file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 06 Nov 2009 13:56:41 +0100

libmicrohttpd (0.4.2-4) unstable; urgency=low

  * Removing not required sourcedir parameter from dh_install override.
  * Updating to standards version 3.8.3.
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Updating upstream homepage location.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.
  * Bumping versioned build-depends on debhelper.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 21 Sep 2009 21:25:37 +0200

libmicrohttpd (0.4.2-3) unstable; urgency=low

  * Removing accidentally imported (useless) removal of po files in
    clean.
  * Updating maintainer field.
  * Updating vcs fields.
  * Polishing rules file.
  * Removing shlibs file.
  * Sorting depends.
  * Adding patch to fix bad what-is entry in manpage.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 Aug 2009 21:01:41 +0200

libmicrohttpd (0.4.2-2) unstable; urgency=low

  * Minimizing rules file.
  * Updating package to standards version 3.8.2.
  * Adding misc depends.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 29 Jul 2009 23:27:30 +0200

libmicrohttpd (0.4.2-1) unstable; urgency=low

  * Merging upstream version 0.4.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 18 May 2009 12:41:53 +0200

libmicrohttpd (0.4.1-1) unstable; urgency=low

  * Merging upstream version 0.4.1.
  * Using correct rfc-2822 date formats in changelog.
  * Updating section of the debug package.
  * Tidy rules file.
  * Updating package to standards 3.8.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 11 May 2009 18:41:51 +0200

libmicrohttpd (0.4.0a-2) unstable; urgency=medium

  * Adjusting package to new soname (Closes: #519203).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 18 Mar 2009 20:07:00 +0100

libmicrohttpd (0.4.0a-1) unstable; urgency=low

  * Merging upstream version 0.4.0a.
  * Adding new pkg-config files to libmicrohttpd-dev.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 25 Feb 2009 15:12:00 +0100

libmicrohttpd (0.4.0-1) unstable; urgency=low

  * Merging upstream version 0.4.0.
  * Updating year in copyright file.
  * Updating shlibs file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 25 Feb 2009 15:07:00 +0100

libmicrohttpd (0.4.0~pre1-2) unstable; urgency=low

  * Removing Arnaud from uploaders, he is MIA (Closes: #513169).
  * Updating rules to current state of the art.
  * Updating shlibs file.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Feb 2009 01:05:00 +0100

libmicrohttpd (0.4.0~pre1-1) unstable; urgency=low

  * Merging upstream version 0.4.0~pre1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Nov 2008 15:26:00 +0100

libmicrohttpd (0.4.0~pre0-2) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 15 Nov 2008 07:56:00 +0100

libmicrohttpd (0.4.0~pre0-1) experimental; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 0.4.0~pre0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Sep 2008 12:59:00 +0200

libmicrohttpd (0.3.1-1) unstable; urgency=low

  * Updating rules file.
  * Bumping shlibs.
  * Merging upstream version 0.3.1.
  * Updating to standards 3.8.0.
  * Updatingto debhelper 7.
  * Correcting indenting in copyright file.
  * Reordering compiler flags in configure call.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 12 Jun 2008 00:49:00 +0200

libmicrohttpd (0.3.0-1) unstable; urgency=low

  * Updating package to soname 4.
  * Generalizing man files in libmicrohttpd-dev install file.
  * Adding info page to libmicrohttpd-dev install file.
  * Merging upstream version 0.3.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 14 Apr 2008 11:16:00 +0200

libmicrohttpd (0.2.3-1) unstable; urgency=medium

  * Updating shlibs file.
  * Merging upstream version 0.2.3.
  * Reordering rules file.
  * Rewrapping copyright file.
  * Updating vcs fields in control file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 12 Apr 2008 20:17:00 +0200

libmicrohttpd (0.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 01 Apr 2008 17:11:00 +0200

libmicrohttpd (0.2.1-2) unstable; urgency=low

  * Adding vcs fields in control.
  * Rewriting copyright in machine-interpretable format.
  * Removing watch file.
  * Bumping shlibs to 0.2.1.
  * Rewritten rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 26 Feb 2008 10:26:00 +0100

libmicrohttpd (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped to debhelper 6.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 02 Feb 2008 18:40:00 +0100

libmicrohttpd (0.2.0-1) unstable; urgency=low

  * New upstream release:
    - Bumps soname.
  * Bumped to new policy.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 20 Oct 2007 22:15:00 +0100

libmicrohttpd (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 19 Oct 2007 21:56:00 +0200

libmicrohttpd (0.1.0-2) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 26 Sep 2007 10:52:00 +0200

libmicrohttpd (0.1.0-1) unstable; urgency=low

  * New upstream release:
    - Bumps soname to 2.
    - Changed license to LGPL 2.1 (since version 0.0.2 though).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 14 Sep 2007 11:36:00 +0200

libmicrohttpd (0.0.0-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 14 Aug 2007 18:53:00 +0200
